_Elm_Calendar_Data Struct Reference
Widgets Extension Infrastructure

## Data Fields

Evas_Object * | obj
Eina_List * | marks
double | interval
double | first_interval
int | spin_speed
int | today_it
int | selected_it
int | focused_it
Ecore_Timer * | update_timer
Ecore_Timer * | spin_timer
Elm_Calendar_Format_Cb | format_func
const char * | weekdays [ELM_DAY_LAST]
struct tm current_time selected_time shown_time date_min | date_max
Day_Color | day_color [42]
Evas_Object * | inc_btn_month
Evas_Object * | dec_btn_month
Evas_Object * | month_access
Evas_Object * | inc_btn_year
Evas_Object * | dec_btn_year
Evas_Object * | year_access
Eo * | items [42]
Elm_Calendar_Weekday | first_week_day
Elm_Calendar_Select_Mode | select_mode
Elm_Calendar_Selectable | selectable
unsigned char | first_day_it
Eina_Bool | selected: 1
Eina_Bool | double_spinners: 1
Eina_Bool | filling: 1
Eina_Bool | weekdays_set: 1
Eina_Bool | month_btn_clicked: 1